Page MenuHomePhabricator

Use systemd for Nodepool
Closed, ResolvedPublic

Description

From T89142 , we should use systemd for NodePool since we are installing it on Debian Jessie.

Event Timeline

hashar created this task.Apr 22 2015, 3:12 PM
hashar raised the priority of this task from to Medium.
hashar updated the task description. (Show Details)
hashar added subscribers: chasemp, Andrew, hashar, Aklapper.

I have poked our internal ops list to get some tips and hints.

hashar added a subscriber: Joe.Apr 28 2015, 11:06 AM

From T95003 @Joe pointed to our puppet define base::service_unit which maybe a good template to add systemd to nodepool: https://github.com/wikimedia/operations-puppet/blob/21c72942dd7bf25dbe0759d2f867082e966bfb45/modules/base/manifests/service_unit.pp

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 10 2015, 3:03 PM
hashar claimed this task.Jul 10 2015, 3:03 PM

Lets give this a try. Will do it in operations/puppet.git for now then "upstream" it in the .deb package.

Change 224102 had a related patch set uploaded (by Hashar):
nodepool: systemd wrapper

https://gerrit.wikimedia.org/r/224102

Change 224390 had a related patch set uploaded (by Hashar):
(WIP) systemd support (WIP)

https://gerrit.wikimedia.org/r/224390

Status update

I have finished the systemd patch: https://gerrit.wikimedia.org/r/#/c/224102/6

Encountered a bug in the way nodepool handles graceful stop which caused me to patch Nodepool ( https://gerrit.wikimedia.org/r/#/c/225475/ ). I have bumped our Debian package to include the fix.

The logging configuration is at https://gerrit.wikimedia.org/r/#/c/224106/

Will check with European ops to get those merged then chat with them about how to add systemd in a .deb package.

Change 224102 merged by Muehlenhoff:
nodepool: systemd wrapper

https://gerrit.wikimedia.org/r/224102

hashar closed this task as Resolved.Jul 22 2015, 2:59 PM
hashar added a subscriber: Muehlenhoff.

Thanks to @Muehlenhoff for the final review of the systemd integration. We now have a working systemd setup on labnodepool1001.eqiad.wmnet :-)

Change 224390 abandoned by Hashar:
0.1.1-wmf3: statsd and systemd support

Reason:
Will be redone later (pending E_TOOMANYTASKS)

https://gerrit.wikimedia.org/r/224390